//
//  SPAlertController+ActionSheet.m
//  ZegoVoiceTranslation
//
//  Created by zego on 2022/11/5.
//

#import "SPAlertController+ActionSheet.h"
#import "ZegoGlobalDefines.h"

@implementation SPAlertController (ActionSheet)
+ (SPAlertController *)alertControllerWithTitle:(NSString *)title buttonTitles:(NSArray<NSString *> *)buttonTitles redButtonIndex:(NSInteger)redButtonIndex actionHandler:(void(^)(NSInteger buttonIndex))actionHandler {
    
    return [self alertControllerWithTitle:title message:nil buttonTitles:buttonTitles redButtonIndex:redButtonIndex actionHandler:actionHandler];
}

+ (SPAlertController *)alertControllerWithTitle:(NSString *)title message:(NSString *)message buttonTitles:(NSArray<NSString *> *)buttonTitles redButtonIndex:(NSInteger)redButtonIndex actionHandler:(void(^)(NSInteger buttonIndex))actionHandler {
    
    SPAlertController *alertController = [SPAlertController alertControllerWithTitle:title message:message preferredStyle:SPAlertControllerStyleActionSheet];
    alertController.needDialogBlur = NO;
    
    if (buttonTitles.count > 0) {
        for (NSInteger i = 0; i < buttonTitles.count; i++) {
            NSString *title = [buttonTitles objectAtIndex:i];
            SPAlertAction *alertAction = [SPAlertAction actionWithTitle:title style:SPAlertActionStyleDefault handler:^(SPAlertAction * _Nonnull action) {
                actionHandler(i);
            }];
            
            if (redButtonIndex == i) {
                alertAction.titleColor = LCColor(255, 43, 43);
                alertAction.titleFont = [UIFont systemFontOfSize:16];
            }else{
                alertAction.titleColor = LCColor(51, 51, 51);
                alertAction.titleFont = [UIFont systemFontOfSize:16];
            }
            
            [alertController addAction:alertAction];
        }
    }
    
    SPAlertAction *cancelAction = [SPAlertAction actionWithTitle:@"取消" style:SPAlertActionStyleCancel handler:^(SPAlertAction * _Nonnull action) {
        
    }];
    cancelAction.titleColor = LCColor(51, 51, 51);
    cancelAction.titleFont = [UIFont systemFontOfSize:18];
    [alertController addAction:cancelAction]; // 取消按钮一定排在最底部
    
    return alertController;
}
@end
