//
//  ZegoLanguageListViewController.h
//  ZegoVoiceTranslation
//
//  Created by zego on 2022/11/16.
//

#import <UIKit/UIKit.h>
#import <ZegoRealtimeTranslation/ZegoRealtimeTranslation.h>
#import "ZegoLanguageListDataSource.h"
NS_ASSUME_NONNULL_BEGIN
@class ZegoSpeechLanguageModel;
@class ZegoTransLanguageModel;
@interface ZegoLanguageListViewController : UIViewController
@property (nonatomic, assign) ZegoSpeechLanguage speechLanguage;
@property (nonatomic, assign) ZegoTranslationLanguage translateLanguage;
@property (nonatomic, assign) BOOL isSpeech;
@property (nonatomic, assign) BOOL isTextTranslation;
@property (nonatomic, copy) void(^selectSpeechLanguageBlock)(ZegoSpeechLanguageModel *speechModel);
@property (nonatomic, copy) void(^selectTranslateLanguageBlock)(ZegoTransLanguageModel *translateModel);
@property (nonatomic, weak) id<ZegoLanguageListDataSource> langDataSource;
@end

NS_ASSUME_NONNULL_END
