//
//  ZegoLanguageSupport.h
//  ZegoVoiceTranslation
//
//  Created by zego on 2023/12/4.
//

#import <Foundation/Foundation.h>
#import <ZegoRealtimeTranslation/ZegoRealtimeTranslation.h>
NS_ASSUME_NONNULL_BEGIN

@interface ZegoSpeechLanguageModel : NSObject
// 语音识别的语言
@property (nonatomic, assign) ZegoSpeechLanguage language;
// 语言的名称
@property (nonatomic, copy) NSString *language_name;
+ (ZegoSpeechLanguageModel *)initWithLanguage:(ZegoSpeechLanguage)language
                                         name:(NSString *)name;
@end

@interface ZegoTransLanguageModel : NSObject
// 文本翻译的语言
@property (nonatomic, assign) ZegoTranslationLanguage language;
// 语言的名称
@property (nonatomic, copy) NSString *language_name;

+ (ZegoTransLanguageModel *)initWithLanguage:(ZegoTranslationLanguage)language
                                      name:(nonnull NSString *)name;

@end


@interface ZegoLanguageSupport : NSObject
+ (NSArray<ZegoSpeechLanguageModel *> *)getGoogleSttLanguages;
+ (NSArray<ZegoTransLanguageModel *> *)getGoogleTransLanguages;
+ (NSArray<ZegoSpeechLanguageModel *> *)getIflySttLanguages;
+ (NSArray<ZegoTransLanguageModel *> *)getIflyTransLanguages;
+ (NSArray<ZegoSpeechLanguageModel *> *)getLiveDataSttLanguages;
+ (NSArray<ZegoTransLanguageModel *> *)getLiveDataTransLanguages;
+ (NSArray<ZegoSpeechLanguageModel *> *)getMicosoftSttLanguages;
+ (NSArray<ZegoTransLanguageModel *> *)getMicosoftTransLanguages;
@end

NS_ASSUME_NONNULL_END
