//
//  ZegoLanguageSupport.m
//  ZegoVoiceTranslation
//
//  Created by zego on 2023/12/4.
//

#import "ZegoLanguageSupport.h"
@implementation ZegoSpeechLanguageModel
+ (ZegoSpeechLanguageModel *)initWithLanguage:(ZegoSpeechLanguage)language name:(NSString *)name {
    ZegoSpeechLanguageModel *model = [[ZegoSpeechLanguageModel alloc] init];
    model.language = language;
    model.language_name = name;
    return model;
}

@end

@implementation ZegoTransLanguageModel
+ (ZegoTransLanguageModel *)initWithLanguage:(ZegoTranslationLanguage)language
                                      name:(nonnull NSString *)name
{
    ZegoTransLanguageModel *model = [[ZegoTransLanguageModel alloc] init];
    model.language = language;
    model.language_name = name;
    return model;
}

@end

@implementation ZegoLanguageSupport
+ (NSArray<ZegoSpeechLanguageModel *> *)getGoogleSttLanguages {
    return @[
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageZH_CN name:@"中文(普通话，简体)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_US name:@"英语(美国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageJA_JP name:@"日语(日本)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageYUE_CN name:@"粤语(中国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageKO_KR name:@"韩语(韩国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageTH_TH name:@"泰语(泰国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageRU_RU name:@"俄语(俄罗斯)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageDE_DE name:@"德语(德国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_ES name:@"西班牙语(西班牙)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_AE name:@"阿拉伯语(阿拉伯联合酋长国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageFR_FR name:@"法语(法国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageVI_VN name:@"越南语(越南)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAF_ZA name:@"南非荷兰语"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAM_ET name:@"阿姆哈拉语(埃塞俄比亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_BH name:@"阿拉伯语(巴林)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_DZ name:@"阿拉伯语(阿尔及利亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_EG name:@"阿拉伯语(埃及)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_IL name:@"阿拉伯语(以色列)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_IQ name:@"阿拉伯语(伊拉克)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_JO name:@"阿拉伯语(约旦)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_KW name:@"阿拉伯语(科威特)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_LB name:@"阿拉伯语(黎巴嫩)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_MA name:@"阿拉伯语(摩洛哥)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_OM name:@"阿拉伯语(阿曼)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_PS name:@"阿拉伯语(巴勒斯坦占领区)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_QA name:@"阿拉伯语(卡塔尔)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_SA name:@"阿拉伯语(沙特阿拉伯)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_TN name:@"阿拉伯语(突尼斯)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_YE name:@"阿拉伯语(也门)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAZ_AZ name:@"阿塞拜疆语(阿塞拜疆)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageBG_BG name:@"保加利亚语(保加利亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageBN_BD name:@"孟加拉语(孟加拉国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageBN_IN name:@"孟加拉语(印度)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageBS_BA name:@"波斯尼亚语(波斯尼亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageCA_ES name:@"加泰罗尼亚语(西班牙)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageCS_CZ name:@"捷克语(捷克)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageDA_DK name:@"丹麦语(丹麦)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageDE_AT name:@"德语(奥地利)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageDE_CH name:@"德语(瑞士)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEL_GR name:@"希腊语(希腊)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_AU name:@"英语(澳大利亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_CA name:@"英语(加拿大)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_GB name:@"英语(英国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_GH name:@"英语(加纳)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_HK name:@"英语(香港特别行政区)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_IE name:@"英语(爱尔兰)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_IN name:@"英语(印度)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_KE name:@"英语(肯尼亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_NG name:@"英语(尼日利亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_NZ name:@"英语(新西兰)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_PH name:@"英语(菲律宾)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_SG name:@"英语(新加坡)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_TZ name:@"英语(坦桑尼亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_ZA name:@"英语(南非)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_AR name:@"西班牙语(阿根廷)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_BO name:@"西班牙语(玻利维亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_CL name:@"西班牙语(智利)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_CO name:@"西班牙语(哥伦比亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_CR name:@"西班牙语(哥斯达黎加)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_DO name:@"西班牙语(多米尼加共和国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_EC name:@"西班牙语(厄瓜多尔)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_GT name:@"西班牙语(危地马拉)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_HN name:@"西班牙语(洪都拉斯)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_MX name:@"西班牙语(墨西哥)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_NI name:@"西班牙(尼加拉瓜)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_PA name:@"西班牙语(巴拿马)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_PE name:@"西班牙语(秘鲁)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_PR name:@"西班牙语(波多黎各)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_PY name:@"西班牙语(巴拉圭)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_SV name:@"西班牙语(萨尔瓦多)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_US name:@"西班牙语(美国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_UY name:@"西班牙语(乌拉圭)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_VE name:@"西班牙语(委内瑞拉)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageET_EE name:@"爱沙尼亚语(爱沙尼亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEU_ES name:@"巴斯克语"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageFA_IR name:@"波斯语(伊朗)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageFI_FI name:@"芬兰语(芬兰)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageFIL_PH name:@"菲律宾语(菲律宾)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageFR_BE name:@"法语(比利时)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageFR_CA name:@"法语(加拿大)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageFR_CH name:@"法语(瑞士)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageGL_ES name:@"加利西亚语"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageGU_IN name:@"古吉拉特语(印度)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageHE_IL name:@"希伯来语(以色列)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageHI_IN name:@"印地语(印度)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageHR_HR name:@"克罗地亚语(克罗地亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageHU_HU name:@"匈牙利语(匈牙利)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageHY_AM name:@"亚美尼亚语(亚美尼亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageID_ID name:@"印度尼西亚语(印度尼西亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageIS_IS name:@"冰岛语(冰岛)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageIT_CH name:@"意大利语(瑞士)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageIT_IT name:@"意大利语(意大利)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageJV_ID name:@"爪哇语(印度尼西亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageKA_GE name:@"格鲁吉亚语(格鲁吉亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageKK_KZ name:@"哈萨克语(哈萨克斯坦)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageKM_KH name:@"高棉语(柬埔寨)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageKN_IN name:@"卡纳达语(印度)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageLO_LA name:@"老挝语(老挝)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageLT_LT name:@"立陶宛语(立陶宛)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageLV_LV name:@"拉脱维亚语(拉脱维亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageMK_MK name:@"马其顿语(北马其顿共和国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageML_IN name:@"马拉雅拉姆语(印度)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageMN_MN name:@"蒙古语(蒙古)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageMR_IN name:@"马拉地语(印度)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageMS_MY name:@"马来语(马来西亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageMY_MM name:@"缅甸语(缅甸)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageNB_NO name:@"挪威语(博克马尔语，挪威)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageNE_NP name:@"尼泊尔语(尼泊尔)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageNL_BE name:@"荷兰语(比利时)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageNL_NL name:@"荷兰语(荷兰)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguagePL_PL name:@"波兰语(波兰)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguagePT_BR name:@"葡萄牙语(巴西)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguagePT_PT name:@"葡萄牙语(葡萄牙)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageRO_RO name:@"罗马尼亚语(罗马尼亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageSI_LK name:@"僧伽罗语(斯里兰卡)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageSK_SK name:@"斯洛伐克语(斯洛伐克)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageSL_SI name:@"斯洛文尼亚语(斯洛文尼亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageSQ_AL name:@"阿尔巴尼亚语(阿尔巴尼亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageSR_RS name:@"塞尔维亚语(塞尔维亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageSU_ID name:@"巽他语(印度尼西亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageSV_SE name:@"瑞典语(瑞典)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageSW_KE name:@"斯瓦希里语(肯尼亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageSW_TZ name:@"斯瓦希里语(坦桑尼亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageTA_IN name:@"泰米尔语(印度)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageTA_LK name:@"泰米尔语(斯里兰卡)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageTA_MY name:@"泰米尔语(马来西亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageTA_SG name:@"泰米尔语(新加坡)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageTE_IN name:@"泰卢固语(印度)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageTR_TR name:@"土耳其语(土耳其)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageUK_UA name:@"乌克兰语(乌克兰)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageUR_IN name:@"乌尔都语(印度)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageUR_PK name:@"乌尔都语(巴基斯坦)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageUZ_UZ name:@"乌兹别克语(乌兹别克斯坦)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageZH_HK name:@"中文(粤语，繁体)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageZH_TW name:@"中文(台湾普通话)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageZU_ZA name:@"祖鲁语(南非)"]
    ];
}

+ (NSArray<ZegoTransLanguageModel *> *)getGoogleTransLanguages {
    return @[
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageZH_HANS name:@"简体中文"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageEN name:@"英语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageZH_HANT name:@"中文(繁体)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageAF name:@"南非荷兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageAM name:@"阿姆哈拉语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageAR name:@"阿拉伯语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageAS name:@"阿萨姆语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageAZ name:@"阿塞拜疆语(拉丁语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageBE name:@"白俄罗斯语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageBG name:@"保加利亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageBN name:@"孟加拉语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageBS name:@"波斯尼亚语(拉丁语系)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageCA name:@"加泰罗尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageCS name:@"捷克语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageCY name:@"威尔士语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageDA name:@"丹麦语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageDE name:@"德语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageDV name:@"马尔代夫语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageEL name:@"希腊语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageES name:@"西班牙语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageET name:@"爱沙尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageEU name:@"巴斯克语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFA name:@"波斯语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFI name:@"芬兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFIL name:@"菲律宾语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFR name:@"法语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageGA name:@"爱尔兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageGL name:@"加利西亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageGU name:@"古吉拉特语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHE name:@"希伯来语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHI name:@"印地语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHR name:@"克罗地亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHT name:@"海地克里奥尔语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHU name:@"匈牙利语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHY name:@"亚美尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageID name:@"印度尼西亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageIS name:@"冰岛语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageIT name:@"意大利语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageJA name:@"日语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKA name:@"格鲁吉亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKK name:@"哈萨克语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKM name:@"高棉语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKN name:@"卡纳达语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKO name:@"韩语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKU name:@"库尔德语(中部)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKY name:@"吉尔吉斯语(西里尔语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageLO name:@"老挝语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageLT name:@"立陶宛语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageLV name:@"拉脱维亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMG name:@"马达加斯加语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMI name:@"毛利语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMK name:@"马其顿语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageML name:@"马拉雅拉姆语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMN_MONG name:@"蒙古语(传统)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMR name:@"马拉地语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMS name:@"马来语(拉丁语系)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMT name:@"马耳他语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMY name:@"缅甸"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageNB name:@"挪威语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageNE name:@"尼泊尔语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageNL name:@"荷兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageOR name:@"奥里亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguagePA name:@"旁遮普语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguagePL name:@"波兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguagePS name:@"普什图语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguagePT name:@"葡萄牙语(巴西)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageRO name:@"罗马尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageRU name:@"俄语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSK name:@"斯洛伐克语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSL name:@"斯洛文尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSM name:@"萨摩亚语(拉丁语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSO name:@"索马里语(阿拉伯语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSQ name:@"阿尔巴尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSR_LATN name:@"塞尔维亚语(拉丁)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSV name:@"瑞典语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSW name:@"斯瓦希里语(拉丁语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTA name:@"泰米尔语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTE name:@"泰卢固语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTH name:@"泰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTI name:@"提格里尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTK name:@"土库曼语(拉丁语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTR name:@"土耳其语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTT name:@"鞑靼语(拉丁语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageUG name:@"维吾尔语(阿拉伯语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageUK name:@"乌克兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageUR name:@"乌尔都语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageUZ name:@"乌兹别克语(拉丁语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageVI name:@"越南语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageZU name:@"祖鲁语"]
    ];
}

+ (NSArray<ZegoSpeechLanguageModel *> *)getIflySttLanguages
{
    return @[
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageZH_CN name:@"中文(普通话，简体)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_US name:@"英语(美国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageYUE_CN name:@"粤语(中国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageFR_FR name:@"法语(法国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageIT_IT name:@"意大利语(意大利)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageJA_JP name:@"日语(日本)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageKO_KR name:@"韩语(韩国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageRU_RU name:@"俄语(俄罗斯)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageTH_TH name:@"泰语(泰国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageVI_VN name:@"越南语(越南)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_ES name:@"西班牙语(西班牙)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageDE_DE name:@"德语(德国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_IL name:@"阿拉伯语(以色列)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageZH_CN_HENAN name:@"河南话"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageZH_CN_SHANDONG name:@"山东话"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageZH_CN_SICHUAN name:@"四川话"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageID_ID name:@"印度尼西亚语(印度尼西亚)"]
    ];
}
+ (NSArray<ZegoTransLanguageModel *> *)getIflyTransLanguages
{
    return @[
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageZH_HANS name:@"简体中文"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageEN name:@"英语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageJA name:@"日语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKO name:@"韩语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageRU name:@"俄语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTH name:@"泰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageES name:@"西班牙语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageDE name:@"德语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageAR name:@"阿拉伯语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFR name:@"法语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguagePT name:@"葡萄牙语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageAF name:@"南非荷兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageAM name:@"阿姆哈拉语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageAZ name:@"阿塞拜疆语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageBA name:@"巴什基尔语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageBE name:@"白俄罗斯语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageBEM name:@"别姆巴语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageBG name:@"保加利亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageBI name:@"比斯拉马语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageBN name:@"孟加拉语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageBS name:@"波斯尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageCA name:@"加泰罗尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageCEB name:@"宿务语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageCO name:@"科西嘉语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageCRS name:@"塞舌尔克里奥尔语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageCS name:@"捷克语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageCY name:@"威尔士语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageDA name:@"丹麦语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageDE name:@"德语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageEE name:@"埃维语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageEL name:@"希腊语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageEO name:@"世界语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageET name:@"爱沙尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageEU name:@"巴斯克语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFA name:@"波斯语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFI name:@"芬兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFIL name:@"菲律宾语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFJ name:@"斐济语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFY name:@"弗里西语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageGA name:@"爱尔兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageGD name:@"苏格兰盖尔语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageGL name:@"加利西亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageGU name:@"古吉拉特语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHA name:@"豪萨语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHAW name:@"夏威夷语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHE name:@"希伯来语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHI name:@"印地语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHR name:@"克罗地亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHT name:@"海地克里奥尔语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHU name:@"匈牙利语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHY name:@"亚美尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageID name:@"印度尼西亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageIG name:@"伊博语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageIS name:@"冰岛语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageIT name:@"意大利语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageJV name:@"印尼爪哇语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKA name:@"格鲁吉亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKEK name:@"凯克其语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKG name:@"刚果"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKK name:@"哈萨克语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKM name:@"高棉语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKN name:@"卡纳达语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKU name:@"库尔德语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKY name:@"吉尔吉斯语(西里尔语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageLA name:@"拉丁语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageLB name:@"卢森堡语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageLG name:@"卢干达语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageLN name:@"林加拉语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageLO name:@"老挝语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageLT name:@"立陶宛语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageLV name:@"拉脱维亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMG name:@"马达加斯加语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMHR name:@"马里语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMI name:@"毛利语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMK name:@"马其顿语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageML name:@"马拉雅拉姆语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMN_CYRL name:@"蒙古语(西里尔文)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMR name:@"马拉地语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMRJ name:@"山地马里语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMS name:@"马来语(拉丁语系)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMT name:@"马耳他语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMWW name:@"白苗语(拉丁语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMY name:@"缅甸"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageNB name:@"博克马尔语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageNE name:@"尼泊尔语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageNL name:@"荷兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageNO name:@"挪威语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageNY name:@"齐切瓦语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageOM name:@"奥罗莫语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageOS name:@"奥赛梯语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageOTQ name:@"克雷塔罗奥托米语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguagePA name:@"旁遮普语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguagePAP name:@"帕皮阿门托语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguagePL name:@"波兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguagePS name:@"普什图语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageRN name:@"隆迪语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageRO name:@"罗马尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageRW name:@"卢旺达语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSD name:@"信德语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSG name:@"桑戈语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSI name:@"僧伽罗语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSK name:@"斯洛伐克语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSL name:@"斯洛文尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSM name:@"萨摩亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSN name:@"修纳语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSO name:@"索马里语(阿拉伯语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSQ name:@"阿尔巴尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSR_CYRL name:@"塞尔维亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageST name:@"塞索托语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSU name:@"印尼巽他语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSV name:@"瑞典语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSW name:@"斯瓦希里语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTA name:@"泰米尔语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTE name:@"泰卢固语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTG name:@"塔吉克语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTIG name:@"提格雷语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTN name:@"茨瓦纳语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTK name:@"土库曼语(拉丁语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTO name:@"汤加语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTPI name:@"巴布亚皮钦语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTR name:@"土耳其语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTS name:@"聪加语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTT name:@"鞑靼语(拉丁语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTW name:@"契维语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTY name:@"塔希提语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageUDM name:@"乌德穆尔特语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageUK name:@"乌克兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageUR name:@"乌尔都语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageUG name:@"维吾尔语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageUZ name:@"乌兹别克语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageVI name:@"越南语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageWAR name:@"瓦瑞语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageXH name:@"南非科萨语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageYI name:@"意第绪语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageYO name:@"约鲁巴语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageYUA name:@"尤卡坦玛雅语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageYUE name:@"粤语(繁体)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageZH_HANT name:@"繁体中文"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageZU name:@"祖鲁语"]
    ];
}

+ (NSArray<ZegoSpeechLanguageModel *> *)getLiveDataSttLanguages
{
    return @[
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_EG name:@"阿拉伯语(埃及)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageZH_CN name:@"中文(普通话，简体)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_US name:@"英语(美国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageFR_FR name:@"法语(法国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageID_ID name:@"印度尼西亚语(印度尼西亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageJA_JP name:@"日语(日本)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageMS_MY name:@"马来语(马来西亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguagePT_PT name:@"葡萄牙语(葡萄牙)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_ES name:@"西班牙语(西班牙)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageTH_TH name:@"泰语(泰国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageVI_VN name:@"越南语(越南)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageHI_IN name:@"印地语(印度)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageKO_KR name:@"韩语(韩国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageTR_TR name:@"土耳其语(土耳其)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageDE_DE name:@"德语(德国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageIT_IT name:@"意大利语(意大利)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageRU_RU name:@"俄语(俄罗斯)"]
    ];
}
+ (NSArray<ZegoTransLanguageModel *> *)getLiveDataTransLanguages
{
    return @[
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageZH_HANS name:@"简体中文"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageZH_HANT name:@"中文(繁体)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageVI name:@"越南语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTR name:@"土耳其语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFIL name:@"他加禄语（菲律宾语）"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTH name:@"泰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMS name:@"马来语(拉丁语系)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSV name:@"瑞典语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageRU name:@"俄语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguagePT name:@"葡萄牙语(巴西)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguagePL name:@"波兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageNO name:@"挪威语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageNL name:@"荷兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKO name:@"韩语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageJA name:@"日语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageIT name:@"意大利语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageID name:@"印度尼西亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFR name:@"法语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageES name:@"西班牙语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageEN name:@"英语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageEL name:@"希腊语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageDE name:@"德语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageAR name:@"阿拉伯语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHI name:@"印地语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageBN name:@"孟加拉语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageGU name:@"古吉拉特语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFA name:@"波斯语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageUR name:@"乌尔都语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMR name:@"马拉地语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageML name:@"马拉雅拉姆语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTE name:@"泰卢固语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKN name:@"卡纳达语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguagePA name:@"旁遮普语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTA name:@"泰米尔语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageLO name:@"老挝语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKM name:@"高棉语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMY name:@"缅甸"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHE name:@"希伯来语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageRO name:@"罗马尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHU name:@"匈牙利语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageCS name:@"捷克语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSK name:@"斯洛伐克语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHR name:@"克罗地亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFI name:@"芬兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageDA name:@"丹麦语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageBG name:@"保加利亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageUK name:@"乌克兰语"]
    ];
}

+ (NSArray<ZegoSpeechLanguageModel *> *)getMicosoftSttLanguages {
    return @[
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageZH_CN name:@"中文(普通话，简体)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_US name:@"英语(美国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageJA_JP name:@"日语(日本)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageYUE_CN name:@"粤语(中国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageKO_KR name:@"韩语(韩国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageTH_TH name:@"泰语(泰国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageRU_RU name:@"俄语(俄罗斯)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageDE_DE name:@"德语(德国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_ES name:@"西班牙语(西班牙)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_AE name:@"阿拉伯语(阿拉伯联合酋长国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageFR_FR name:@"法语(法国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageVI_VN name:@"越南语(越南)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAF_ZA name:@"南非荷兰语"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAM_ET name:@"阿姆哈拉语(埃塞俄比亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_BH name:@"阿拉伯语(巴林)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_DZ name:@"阿拉伯语(阿尔及利亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_EG name:@"阿拉伯语(埃及)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_IL name:@"阿拉伯语(以色列)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_IQ name:@"阿拉伯语(伊拉克)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_JO name:@"阿拉伯语(约旦)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_KW name:@"阿拉伯语(科威特)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_LB name:@"阿拉伯语(黎巴嫩)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_LY name:@"阿拉伯语(利比亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_MA name:@"阿拉伯语(摩洛哥)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_OM name:@"阿拉伯语(阿曼)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_PS name:@"阿拉伯语(巴勒斯坦占领区)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_QA name:@"阿拉伯语(卡塔尔)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_SA name:@"阿拉伯语(沙特阿拉伯)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_SY name:@"阿拉伯语(叙利亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_TN name:@"阿拉伯语(突尼斯)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAR_YE name:@"阿拉伯语(也门)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageAZ_AZ name:@"阿塞拜疆语(阿塞拜疆)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageBG_BG name:@"保加利亚语(保加利亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageBN_IN name:@"孟加拉语(印度)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageBS_BA name:@"波斯尼亚语(波斯尼亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageCA_ES name:@"加泰罗尼亚语(西班牙)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageCS_CZ name:@"捷克语(捷克)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageCY_GB name:@"威尔士语(英国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageDA_DK name:@"丹麦语(丹麦)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageDE_AT name:@"德语(奥地利)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageDE_CH name:@"德语(瑞士)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEL_GR name:@"希腊语(希腊)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_AU name:@"英语(澳大利亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_CA name:@"英语(加拿大)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_GB name:@"英语(英国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_GH name:@"英语(加纳)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_HK name:@"英语(香港特别行政区)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_IE name:@"英语(爱尔兰)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_IN name:@"英语(印度)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_KE name:@"英语(肯尼亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_NG name:@"英语(尼日利亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_NZ name:@"英语(新西兰)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_PH name:@"英语(菲律宾)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_SG name:@"英语(新加坡)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_TZ name:@"英语(坦桑尼亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEN_ZA name:@"英语(南非)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_AR name:@"西班牙语(阿根廷)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_BO name:@"西班牙语(玻利维亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_CL name:@"西班牙语(智利)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_CO name:@"西班牙语(哥伦比亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_CR name:@"西班牙语(哥斯达黎加)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_CU name:@"西班牙语(古巴)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_DO name:@"西班牙语(多米尼加共和国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_EC name:@"西班牙语(厄瓜多尔)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_GQ name:@"西班牙语(赤道几内亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_GT name:@"西班牙语(危地马拉)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_HN name:@"西班牙语(洪都拉斯)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_MX name:@"西班牙语(墨西哥)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_NI name:@"西班牙(尼加拉瓜)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_PA name:@"西班牙语(巴拿马)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_PE name:@"西班牙语(秘鲁)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_PR name:@"西班牙语(波多黎各)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_PY name:@"西班牙语(巴拉圭)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_SV name:@"西班牙语(萨尔瓦多)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_US name:@"西班牙语(美国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_UY name:@"西班牙语(乌拉圭)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageES_VE name:@"西班牙语(委内瑞拉)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageET_EE name:@"爱沙尼亚语(爱沙尼亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageEU_ES name:@"巴斯克语"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageFA_IR name:@"波斯语(伊朗)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageFI_FI name:@"芬兰语(芬兰)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageFIL_PH name:@"菲律宾语(菲律宾)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageFR_BE name:@"法语(比利时)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageFR_CA name:@"法语(加拿大)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageFR_CH name:@"法语(瑞士)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageGA_IE name:@"爱尔兰语(爱尔兰)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageGL_ES name:@"加利西亚语"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageGU_IN name:@"古吉拉特语(印度)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageHE_IL name:@"希伯来语(以色列)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageHI_IN name:@"印地语(印度)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageHR_HR name:@"克罗地亚语(克罗地亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageHU_HU name:@"匈牙利语(匈牙利)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageHY_AM name:@"亚美尼亚语(亚美尼亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageID_ID name:@"印度尼西亚语(印度尼西亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageIS_IS name:@"冰岛语(冰岛)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageIT_CH name:@"意大利语(瑞士)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageIT_IT name:@"意大利语(意大利)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageJV_ID name:@"爪哇语(印度尼西亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageKA_GE name:@"格鲁吉亚语(格鲁吉亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageKK_KZ name:@"哈萨克语(哈萨克斯坦)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageKM_KH name:@"高棉语(柬埔寨)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageKN_IN name:@"卡纳达语(印度)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageLO_LA name:@"老挝语(老挝)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageLT_LT name:@"立陶宛语(立陶宛)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageLV_LV name:@"拉脱维亚语(拉脱维亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageMK_MK name:@"马其顿语(北马其顿共和国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageML_IN name:@"马拉雅拉姆语(印度)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageMN_MN name:@"蒙古语(蒙古)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageMR_IN name:@"马拉地语(印度)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageMS_MY name:@"马来语(马来西亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageMY_MM name:@"缅甸语(缅甸)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageNB_NO name:@"挪威语(博克马尔语，挪威)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageNE_NP name:@"尼泊尔语(尼泊尔)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageNL_BE name:@"荷兰语(比利时)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageNL_NL name:@"荷兰语(荷兰)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguagePL_PL name:@"波兰语(波兰)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguagePS_AF name:@"普什图语(阿富汗)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguagePT_BR name:@"葡萄牙语(巴西)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguagePT_PT name:@"葡萄牙语(葡萄牙)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageRO_RO name:@"罗马尼亚语(罗马尼亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageSI_LK name:@"僧伽罗语(斯里兰卡)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageSK_SK name:@"斯洛伐克语(斯洛伐克)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageSL_SI name:@"斯洛文尼亚语(斯洛文尼亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageSQ_AL name:@"阿尔巴尼亚语(阿尔巴尼亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageSR_RS name:@"塞尔维亚语(塞尔维亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageSV_SE name:@"瑞典语(瑞典)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageSW_KE name:@"斯瓦希里语(肯尼亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageSW_TZ name:@"斯瓦希里语(坦桑尼亚)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageTA_IN name:@"泰米尔语(印度)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageTE_IN name:@"泰卢固语(印度)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageTR_TR name:@"土耳其语(土耳其)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageUK_UA name:@"乌克兰语(乌克兰)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageUZ_UZ name:@"乌兹别克语(乌兹别克斯坦)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageWUU_CN name:@"吴语(中国)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageZH_CN_SICHUAN name:@"中文(西南普通话，简体)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageZH_HK name:@"中文(粤语，繁体)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageZH_TW name:@"中文(台湾普通话)"],
        [ZegoSpeechLanguageModel initWithLanguage:ZegoSpeechLanguageZU_ZA name:@"祖鲁语(南非)"]
    ];
    
}

+ (NSArray<ZegoTransLanguageModel *> *)getMicosoftTransLanguages {
    return @[
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageZH_HANS name:@"简体中文"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageEN name:@"英语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageZH_HANT name:@"中文(繁体)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageAF name:@"南非荷兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageAM name:@"阿姆哈拉语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageAR name:@"阿拉伯语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageAS name:@"阿萨姆语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageAZ name:@"阿塞拜疆语(拉丁语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageBA name:@"巴什基尔语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageBG name:@"保加利亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageBN name:@"孟加拉语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageBO name:@"藏语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageBS name:@"波斯尼亚语(拉丁语系)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageCA name:@"加泰罗尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageCS name:@"捷克语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageCY name:@"威尔士语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageDA name:@"丹麦语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageDE name:@"德语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageDV name:@"马尔代夫语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageEL name:@"希腊语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageES name:@"西班牙语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageET name:@"爱沙尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageEU name:@"巴斯克语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFA name:@"波斯语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFI name:@"芬兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFIL name:@"菲律宾语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFJ name:@"斐济语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFO name:@"法罗语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFR name:@"法语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageFR_CA name:@"法语(加拿大)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageGA name:@"爱尔兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageGL name:@"加利西亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageGU name:@"古吉拉特语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHE name:@"希伯来语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHI name:@"印地语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHR name:@"克罗地亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHSB name:@"上索布语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHT name:@"海地克里奥尔语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHU name:@"匈牙利语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageHY name:@"亚美尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageID name:@"印度尼西亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageIKT name:@"因纽纳敦语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageIS name:@"冰岛语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageIT name:@"意大利语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageIU name:@"因纽特语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageIU_LATN name:@"因纽特语(拉丁语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageJA name:@"日语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKA name:@"格鲁吉亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKK name:@"哈萨克语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKM name:@"高棉语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKMR name:@"库尔德语(北部)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKN name:@"卡纳达语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKO name:@"韩语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKU name:@"库尔德语(中部)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageKY name:@"吉尔吉斯语(西里尔语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageLO name:@"老挝语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageLT name:@"立陶宛语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageLV name:@"拉脱维亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageLZH name:@"中文(文学)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMG name:@"马达加斯加语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMI name:@"毛利语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMK name:@"马其顿语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageML name:@"马拉雅拉姆语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMN_CYRL name:@"蒙古语(西里尔文)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMN_MONG name:@"蒙古语(传统)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMR name:@"马拉地语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMS name:@"马来语(拉丁语系)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMT name:@"马耳他语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMWW name:@"白苗语(拉丁语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageMY name:@"缅甸"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageNB name:@"挪威语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageNE name:@"尼泊尔语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageNL name:@"荷兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageOR name:@"奥里亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageOTQ name:@"克雷塔罗奥托米语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguagePA name:@"旁遮普语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguagePL name:@"波兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguagePRS name:@"达里语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguagePS name:@"普什图语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguagePT name:@"葡萄牙语(巴西)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguagePT_PT name:@"葡萄牙语(葡萄牙)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageRO name:@"罗马尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageRU name:@"俄语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSK name:@"斯洛伐克语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSL name:@"斯洛文尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSM name:@"萨摩亚语(拉丁语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSO name:@"索马里语(阿拉伯语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSQ name:@"阿尔巴尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSR_CYRL name:@"塞尔维亚语(西里尔)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSR_LATN name:@"塞尔维亚语(拉丁)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSV name:@"瑞典语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageSW name:@"斯瓦希里语(拉丁语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTA name:@"泰米尔语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTE name:@"泰卢固语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTH name:@"泰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTI name:@"提格里尼亚语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTK name:@"土库曼语(拉丁语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTLH_LATN name:@"克林贡语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTLH_PIQD name:@"克林贡语(plqaD)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTO name:@"汤加语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTR name:@"土耳其语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTT name:@"鞑靼语(拉丁语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageTY name:@"塔希提语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageUG name:@"维吾尔语(阿拉伯语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageUK name:@"乌克兰语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageUR name:@"乌尔都语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageUZ name:@"乌兹别克语(拉丁语)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageVI name:@"越南语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageYUA name:@"尤卡坦玛雅语"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageYUE name:@"粤语(繁体)"],
        [ZegoTransLanguageModel initWithLanguage:ZegoTranslationLanguageZU name:@"祖鲁语"]

    ];
}


@end
