//
//  ExpressProxy.h
//  ZegoVoiceTranslation
//
//  Created by zego on 2022/10/28.
//

#import <Foundation/Foundation.h>
#import <ZegoExpressEngine/ZegoExpressEngine.h>

NS_ASSUME_NONNULL_BEGIN
@class RTCEngineManager;
@interface ExpressProxy : NSObject
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)new NS_UNAVAILABLE;
- (instancetype)initWithEnginManager:(RTCEngineManager *)rtcEngineManager;
- (void)initEngine;
- (void)unInit:(void(^)(void))callback;
- (void)login:(NSString *)roomId roomName:(NSString *)roomName userID:(NSString *)userID userName:(NSString *)userName callback:(void(^)(int errorCode, NSDictionary *extendedData))callback;
- (void)logout:(NSString *)roomID;
- (void)logout;
- (void)startPublishStream:(NSString *)streamID;
- (void)stopPublishStream;
- (void)startPlayingStream:(NSString *)streamID view:(ZGView *)view;
- (void)stopPlayingStream:(NSString *)streamID;
- (void)startPreview:(ZGView *)view;
- (void)sendSEIData:(NSData *)data;

@end

NS_ASSUME_NONNULL_END
