//
//  IRTCEventListener.h
//  ZegoVoiceTranslation
//
//  Created by zego on 2022/10/29.
//

#import <Foundation/Foundation.h>
#import "ExpressProxy.h"

NS_ASSUME_NONNULL_BEGIN
typedef enum : NSUInteger {
    RTCEngineRoomStateChangedReasonKickOut,
    RTCEngineRoomStateChangedReasonDisconnect,
    RTCEngineRoomStateChangedReasonLoginFailed,
    RTCEngineRoomStateChangedReasonReconnected,
} RTCEngineRoomStateChangedReason;

@class ZegoSteamInfo;
@protocol IRTCEventListener <NSObject>

- (void)onRecognizingSEIText:(NSString *)jsonStr;
- (void)onRecognizedSEIText:(NSString *)jsonstr;
- (void)onStreamAdd:(NSArray<ZegoSteamInfo *> *)streamInfoList;
- (void)onStreamRemove:(NSArray<ZegoSteamInfo *> *)streamInfoList;
- (void)onRoomStateChanged:(RTCEngineRoomStateChangedReason)reason;
@end

NS_ASSUME_NONNULL_END
