//
//  ZegoSdkConfig.m
//  ZegoVoiceTranslation
//
//  Created by zego on 2022/10/31.
//

#import "ZegoSdkConfig.h"

@implementation ZegoSdkConfig

+ (instancetype)config {
    static ZegoSdkConfig *instance = nil;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        instance = [[ZegoSdkConfig alloc] init];
    });
    return instance;
}

- (NSArray *)sdkNames {
    return @[@"科大讯飞",@"谷歌", @"云上曲率"];
}

- (NSString *)getThirdServiceProviderName:(ZegoRTServiceProvider)provider {
    NSString *providerName = @"微软";
    switch (provider) {
        case ZegoRTServiceProviderIflytek:
            providerName = @"科大讯飞";
            break;
        case ZegoRTServiceProviderGoogle:
            providerName = @"谷歌";
            break;
        case ZegoRTServiceProviderLiveData:
            providerName = @"云上曲率";
            break;
        default:
            break;
    }
    return providerName;
}

@end
