//
//  UIButton+ImagePosition.m
//  CommunicateInstantly
//
//  Created by zego on 2021/10/26.
//  Copyright © 2021 ZegoIM. All rights reserved.
//

#import "UIButton+ImagePosition.h"

@implementation UIButton (ImagePosition)

-(void)cl_ButtonPostion:(ZegoIMImagePosition)position spacing:(CGFloat)spacing {
    
    CGFloat imageWith = self.imageView.image.size.width;
    CGFloat imageHeight = self.imageView.image.size.height;
    CGSize labelSize = self.titleLabel.attributedText.size;
    CGFloat imageOffsetX = (imageWith + labelSize.width) / 2 - imageWith / 2;
    CGFloat imageOffsetY = imageHeight / 2 + spacing / 2;
    CGFloat labelOffsetX = (imageWith + labelSize.width / 2) - (imageWith + labelSize.width) / 2;
    CGFloat labelOffsetY = labelSize.height / 2 + spacing / 2;
    
    
    
    switch (position) {
        case ZegoIMImagePositionLeft:
            self.imageEdgeInsets = UIEdgeInsetsMake(0, -spacing/2, 0, spacing/2);
            self.titleEdgeInsets = UIEdgeInsetsMake(0, spacing/2, 0, -spacing/2);
            break;
        case ZegoIMImagePositionRight:
            self.imageEdgeInsets = UIEdgeInsetsMake(0, labelSize.width + spacing/2, 0,  -(labelSize.width + spacing/2));
            self.titleEdgeInsets = UIEdgeInsetsMake(0,  -(imageHeight + spacing/2), 0,  imageHeight + spacing/2);
            break;
        case ZegoIMImagePositionTop:
            self.imageEdgeInsets = UIEdgeInsetsMake(-imageOffsetY, imageOffsetX, imageOffsetY, -imageOffsetX);
            self.titleEdgeInsets = UIEdgeInsetsMake(labelOffsetY, -labelOffsetY, -labelOffsetY, labelOffsetX);
            break;
        case ZegoIMImagePositionBottom:
            self.imageEdgeInsets = UIEdgeInsetsMake(imageOffsetY, imageOffsetX, -imageOffsetY,  -imageOffsetX);
            self.titleEdgeInsets = UIEdgeInsetsMake(-labelOffsetY, -labelOffsetX,  labelOffsetY, labelOffsetX);
            break;
            
    }
    
}

@end
