//
//  ZegoRealtimTranslateListCell.m
//  ZegoVoiceTranslation
//
//  Created by zego on 2022/12/6.
//

#import "ZegoRealtimTranslateListCell.h"
#import <Masonry/Masonry.h>
#import "ZegoGlobalDefines.h"

@implementation ZegoRealtimTranslateListCell

- (UILabel *)contentLab {
    if (!_contentLab) {
        _contentLab = [[UILabel alloc] init];
        _contentLab.textColor = LCColor(51, 51, 51);
        _contentLab.font = [UIFont systemFontOfSize:13.0f];
        _contentLab.numberOfLines = 0;
    }
    return _contentLab;
}

- (instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier {
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        [self.contentView addSubview:self.contentLab];
        
        [self.contentLab mas_makeConstraints:^(MASConstraintMaker *make) {
            make.left.mas_equalTo(5);
            make.right.mas_equalTo(-5.0);
            make.top.bottom.mas_equalTo(0);
        }];
        
        self.contentLab.userInteractionEnabled = YES;
        UILongPressGestureRecognizer *longPress = [[UILongPressGestureRecognizer alloc] initWithTarget:self action:@selector(longPressAction:)];
        [self.contentLab addGestureRecognizer:longPress];
    }
    return self;
}

- (void)longPressAction:(UILongPressGestureRecognizer *)recognizer {
    if (self.longPressContentBlock) {
        self.longPressContentBlock(self.contentLab.text, self.contentLab.frame);
    }
}

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

@end
