//
//  ZegoRealtimeTranslateView.h
//  ZegoVoiceTranslation
//
//  Created by zego on 2022/11/5.
//

#import <UIKit/UIKit.h>
#import "ZegoSdkConfig.h"
NS_ASSUME_NONNULL_BEGIN
@class ZegoSpeechLanguageModel;
@class ZegoTransLanguageModel;
@interface ZegoRealtimeTranslateView : UIView
@property (nonatomic, assign) ZegoRTServiceProvider speechProvider;
@property (nonatomic, assign) ZegoRTServiceProvider translateProvider;
@property (nonatomic, assign) ZegoSpeechLanguage sourceLanguage;
@property (nonatomic, assign) ZegoTranslationLanguage targetLanguage;
@property (nonatomic, assign) BOOL openTranslate;
@property (nonatomic, assign) BOOL openMiddleResult;
@property (nonatomic, copy) void(^realtimeTranslateSetItemBlock)(NSInteger index);
@property (nonatomic, copy) void(^startSpeechBlock)(BOOL isSelected);
@property (nonatomic, copy) void(^clearScreenBlock)(void);
@property (nonatomic, copy) NSString *recognizeText;
@property (nonatomic, copy) NSString *translateText;
@property (nonatomic, strong) NSMutableArray<NSString *> *recognizedTextList;
@property (nonatomic, strong) NSMutableArray<NSString *> *translateTextList;
@property (nonatomic, strong) NSArray<ZegoSpeechLanguageModel *> *speechLanguages;
@property (nonatomic, strong) NSArray<ZegoTransLanguageModel *> *transLanguages;
- (void)refreshUIByUserRole:(BOOL)isHost;
@end

NS_ASSUME_NONNULL_END
