//
//  ZegoSetTableViewCell.m
//  ZegoVoiceTranslation
//
//  Created by zego on 2022/11/5.
//

#import "ZegoSetTableViewCell.h"
#import "ZegoGlobalDefines.h"
#import <Masonry/Masonry.h>

@interface ZegoSetTableViewCell ()

@end

@implementation ZegoSetTableViewCell
#pragma mark - Property
- (UILabel *)titleLab {
    if (!_titleLab) {
        _titleLab = [[UILabel alloc] init];
        _titleLab.font = [UIFont systemFontOfSize:14];
        _titleLab.textColor = LCColor(51, 51, 51);
    }
    return _titleLab;
}

- (UILabel *)contentLab {
    if (!_contentLab) {
        _contentLab = [[UILabel alloc] init];
        _contentLab.font = [UIFont systemFontOfSize:14];
        _contentLab.textColor = LCColor(51, 51, 51);
        _contentLab.textAlignment = NSTextAlignmentRight;
    }
    return _contentLab;
}

- (UISwitch *)sw {
    if (!_sw) {
        _sw = [[UISwitch alloc] init];
        _sw.onTintColor = [UIColor blueColor];
        [_sw addTarget:self action:@selector(switchValueChanged:) forControlEvents:UIControlEventValueChanged];
    }
    return _sw;
}

#pragma mark - LifeCycle
- (instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier {
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        [self.contentView addSubview:self.titleLab];
        [self.contentView addSubview:self.contentLab];
        [self.contentView addSubview:self.sw];
        
        [self.titleLab mas_makeConstraints:^(MASConstraintMaker *make) {
            make.left.mas_equalTo(20);
            make.centerY.mas_equalTo(0);
            make.width.mas_equalTo(160);
        }];
        
        [self.contentLab mas_makeConstraints:^(MASConstraintMaker *make) {
            make.right.mas_equalTo(0);
            make.centerY.mas_equalTo(0);
        }];
        
        [self.sw mas_makeConstraints:^(MASConstraintMaker *make) {
            make.right.mas_equalTo(-20);
            make.centerY.mas_equalTo(0);
        }];
    }
    return self;
}

- (void)switchValueChanged:(UISwitch *)sender {
    if (self.switchValueChangedBlock) {
        self.switchValueChangedBlock(sender.isOn);
    }
}

- (void)setDisableEdit:(BOOL)disableEdit {
    _disableEdit = disableEdit;
    if (disableEdit) {
        self.titleLab.textColor = LCColor(153, 153, 153);
        self.contentLab.textColor = LCColor(153, 153, 153);
        self.sw.enabled = NO;
    } else {
        self.titleLab.textColor = LCColor(51, 51, 51);
        self.contentLab.textColor = LCColor(51, 51, 51);
        self.sw.enabled = YES;
    }
}

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

@end
